游戏服务器
GET https://www.hostmonits.com/api/game-servers/
curl --request GET \
--url 'https://www.hostmonits.com/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.hostmonits.com/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
| 请求参数 | 详情 | 描述 |
|---|---|---|
| search | 选填 字符串 | 搜索关键词. |
| search_by | 选填 字符串 | 搜索匹配字段,可选值:name, target, port. |
| is_enabled | 选填 布尔型 | |
| type | 选填 字符串 | 可选值:minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | 选填 整型 | |
| datetime_field | 选填 字符串 | 可选值:last_datetime, datetime, last_check_datetime |
| datetime_start | 选填 字符串 | 起始时间,格式 年-月-日 时:分:秒. |
| datetime_end | 选填 字符串 | 结束时间,格式 年-月-日 时:分:秒. |
| order_by | 选填 字符串 | 排序字段,可选值:game_server_id, last_datetime, datetime, last_check_datetime, total_checks, name, uptime, average_response_time, average_online_players, online_players, maximum_online_players. |
| order_type | 选填 字符串 | 排序方式:ASC 升序,DESC 降序. |
| page | 选填 整型 | 数据页码,默认值 1. |
| results_per_page | 选填 整型 | 每页返回数据条数,可选值:10, 25, 50, 100, 250, 500, 1000,默认值 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"query_port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-06-22 06:49:42",
"next_check_datetime": "2026-06-23 06:49:42",
"is_enabled": true,
"datetime": "2026-06-22 06:49:42",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://www.hostmonits.com/api/game-servers?page=1",
"last": "https://www.hostmonits.com/api/game-servers?page=1",
"next": null,
"prev": null,
"self": "https://www.hostmonits.com/api/game-servers?page=1"
}
}
GET https://www.hostmonits.com/api/game-servers/{game_server_id}
curl --request GET \
--url 'https://www.hostmonits.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.hostmonits.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"query_port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-06-22 06:49:42",
"next_check_datetime": "2026-06-23 06:49:42",
"is_enabled": true,
"datetime": "2026-06-22 06:49:42",
}
}
POST https://www.hostmonits.com/api/game-servers
| 请求参数 | 详情 | 描述 |
|---|---|---|
| name | 必填 字符串 | - |
| target | 必填 字符串 | - |
| port | 必填 字符串 | - |
| query_port | 选填 字符串 | - |
| type | 选填 字符串 | 可选值:minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | 选填 整型 | - |
| check_interval_seconds | 选填 整型 | 可选值:60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (秒) |
| timeout_seconds | 选填 整型 | 可选值:1, 2, 3, 5, 10, 25 (秒) |
| is_enabled | 选填 布尔型 | - |
curl --request POST \
--url 'https://www.hostmonits.com/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
--url 'https://www.hostmonits.com/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
{
"data": {
"id": 1
}
}
POST https://www.hostmonits.com/api/game-servers/{game_server_id}
| 请求参数 | 详情 | 描述 |
|---|---|---|
| name | 选填 字符串 | - |
| target | 选填 字符串 | - |
| port | 选填 字符串 | - |
| query_port | 选填 字符串 | - |
| type | 选填 字符串 | 可选值:minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | 选填 整型 | - |
| check_interval_seconds | 选填 整型 | 可选值:60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (秒) |
| timeout_seconds | 选填 整型 | 可选值:1, 2, 3, 5, 10, 25 (秒) |
| is_enabled | 选填 布尔型 | - |
curl --request POST \
--url 'https://www.hostmonits.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://www.hostmonits.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://www.hostmonits.com/api/game-servers/{game_server_id}
curl --request DELETE \
--url 'https://www.hostmonits.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.hostmonits.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \